Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.tools
Class CayenneGenerator

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.cayenne.tools.CayenneTask
                  org.apache.cayenne.tools.CayenneGeneratorTask
                      org.apache.cayenne.tools.CayenneGenerator

Deprecated. since 3.0 renamed to CayenneGeneratorTask

    public class CayenneGenerator

extends CayenneGeneratorTask

Ant task to perform class generation from data map. This class is an Ant adapter to DefaultClassGenerator class.

Author:
  Andrus Adamchik, Kevin Menard

Field Summary

Fields inherited from class org.apache.cayenne.tools.CayenneGeneratorTask
`additionalMaps, client, destDir, embeddablesupertemplate, embeddabletemplate, encoding, excludeEntitiesPattern, includeEntitiesPattern, makepairs, map, mode, outputPattern, overwrite, superpkg, supertemplate, template, usepkgpath, version, vppConfig`

Fields inherited from class org.apache.cayenne.tools.CayenneTask
`classpath`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CayenneGenerator()` Deprecated.

Method Summary

Methods inherited from class org.apache.cayenne.tools.CayenneGeneratorTask
`createConfig, createGenerator, createGeneratorAction, execute, getVppContext, setAdditionalMaps, setClient, setDestDir, setEmbeddablesupertemplate, setEmbeddabletemplate, setEncoding, setExcludeEntities, setIncludeEntities, setMakepairs, setMap, setMode, setOutputPattern, setOverwrite, setSuperpkg, setSupertemplate, setTemplate, setUsepkgpath, setVersion, validateAttributes`

Methods inherited from class org.apache.cayenne.tools.CayenneTask
`setClasspath, setClasspathRef`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CayenneGenerator

    public CayenneGenerator()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.